J$.noInstrEval = false;
jalangiLabel10:
    while (true) {
        try {
            J$.Se(5977, 'src/js/analyses/concolic/SymbolicFunctions_jalangi_.js');
            J$.F(5969, J$.T(5945, function (sandbox) {
                jalangiLabel9:
                    while (true) {
                        try {
                            J$.Fe(5905, arguments.callee, this, arguments);
                            function regex_escape(text) {
                                jalangiLabel0:
                                    while (true) {
                                        try {
                                            J$.Fe(49, arguments.callee, this, arguments);
                                            arguments = J$.N(57, 'arguments', arguments, true, false, false);
                                            text = J$.N(65, 'text', text, true, false, false);
                                            return J$.Rt(41, J$.M(33, J$.R(9, 'text', text, false, false), 'replace', false)(J$.T(17, /[-[\]{}()*+?.,\\^$|#\s]/g, 14, false), J$.T(25, '\\$&', 21, false)));
                                        } catch (J$e) {
                                            J$.Ex(5985, J$e);
                                        } finally {
                                            if (J$.Fr(5993))
                                                continue jalangiLabel0;
                                            else
                                                return J$.Ra();
                                        }
                                    }
                            }
                            arguments = J$.N(5913, 'arguments', arguments, true, false, false);
                            sandbox = J$.N(5921, 'sandbox', sandbox, true, false, false);
                            regex_escape = J$.N(5937, 'regex_escape', J$.T(5929, regex_escape, 12, false), true, false, false);
                            J$.P(1065, J$.R(73, 'sandbox', sandbox, false, false), 'string_indexOf', J$.T(1057, function (result, str, startPos) {
                                jalangiLabel1:
                                    while (true) {
                                        try {
                                            J$.Fe(969, arguments.callee, this, arguments);
                                            arguments = J$.N(977, 'arguments', arguments, true, false, false);
                                            result = J$.N(985, 'result', result, true, false, false);
                                            str = J$.N(993, 'str', str, true, false, false);
                                            startPos = J$.N(1001, 'startPos', startPos, true, false, false);
                                            J$.N(1009, 'reg', reg, false, false, false);
                                            J$.N(1017, 'ret', ret, false, false, false);
                                            J$.N(1025, 'T', T, false, false, false);
                                            J$.N(1033, 'S1', S1, false, false, false);
                                            J$.N(1041, 'S2', S2, false, false, false);
                                            J$.N(1049, 'pos', pos, false, false, false);
                                            var reg = J$.W(137, 'reg', J$.F(129, J$.I(typeof RegExp === 'undefined' ? RegExp = J$.R(81, 'RegExp', undefined, true, true) : RegExp = J$.R(81, 'RegExp', RegExp, true, true)), true)(J$.B(18, '+', J$.B(10, '+', J$.T(89, '.*', 21, false), J$.F(113, J$.R(97, 'regex_escape', regex_escape, false, false), false)(J$.R(105, 'str', str, false, false))), J$.T(121, '.*', 21, false))), reg, false, false);
                                            var ret = J$.W(169, 'ret', J$.M(161, J$, 'readInput', false)(J$.R(145, 'result', result, false, false), J$.T(153, true, 23, false)), ret, false, false);
                                            startPos = J$.W(193, 'startPos', J$.B(26, '|', J$.R(177, 'startPos', startPos, false, false), J$.T(185, 0, 22, false)), startPos, false, false);
                                            J$.M(209, J$, 'addAxiom', false)(J$.T(201, 'begin', 21, false));
                                            J$.M(225, J$, 'addAxiom', false)(J$.T(217, 'begin', 21, false));
                                            var T = J$.W(257, 'T', J$.M(249, J$, 'readInput', false)(J$.T(233, '', 21, false), J$.T(241, true, 23, false)), T, false, false);
                                            var S1 = J$.W(289, 'S1', J$.M(281, J$, 'readInput', false)(J$.T(265, '', 21, false), J$.T(273, true, 23, false)), S1, false, false);
                                            var S2 = J$.W(321, 'S2', J$.M(313, J$, 'readInput', false)(J$.T(297, '', 21, false), J$.T(305, true, 23, false)), S2, false, false);
                                            var pos = J$.W(353, 'pos', J$.M(345, J$, 'readInput', false)(J$.T(329, 0, 22, false), J$.T(337, true, 23, false)), pos, false, false);
                                            J$.M(369, J$, 'addAxiom', false)(J$.T(361, 'begin', 21, false));
                                            J$.M(385, J$, 'addAxiom', false)(J$.T(377, 'begin', 21, false));
                                            J$.M(417, J$, 'addAxiom', false)(J$.B(34, '<', J$.R(393, 'startPos', startPos, false, false), J$.G(409, J$.R(401, 'this', this, false, false), 'length')));
                                            J$.M(441, J$, 'addAxiom', false)(J$.B(42, '>=', J$.R(425, 'startPos', startPos, false, false), J$.T(433, 0, 22, false)));
                                            J$.M(465, J$, 'addAxiom', false)(J$.B(50, '===', J$.R(449, 'pos', pos, false, false), J$.R(457, 'startPos', startPos, false, false)));
                                            J$.M(481, J$, 'addAxiom', false)(J$.T(473, 'and', 21, false));
                                            J$.M(497, J$, 'addAxiom', false)(J$.T(489, 'begin', 21, false));
                                            J$.M(521, J$, 'addAxiom', false)(J$.B(58, '<', J$.R(505, 'startPos', startPos, false, false), J$.T(513, 0, 22, false)));
                                            J$.M(545, J$, 'addAxiom', false)(J$.B(66, '===', J$.R(529, 'pos', pos, false, false), J$.T(537, 0, 22, false)));
                                            J$.M(561, J$, 'addAxiom', false)(J$.T(553, 'and', 21, false));
                                            J$.M(577, J$, 'addAxiom', false)(J$.T(569, 'begin', 21, false));
                                            J$.M(609, J$, 'addAxiom', false)(J$.B(74, '>=', J$.R(585, 'startPos', startPos, false, false), J$.G(601, J$.R(593, 'this', this, false, false), 'length')));
                                            J$.M(641, J$, 'addAxiom', false)(J$.B(82, '===', J$.R(617, 'pos', pos, false, false), J$.G(633, J$.R(625, 'this', this, false, false), 'length')));
                                            J$.M(657, J$, 'addAxiom', false)(J$.T(649, 'and', 21, false));
                                            J$.M(673, J$, 'addAxiom', false)(J$.T(665, 'or', 21, false));
                                            J$.M(705, J$, 'addAxiom', false)(J$.B(90, '===', J$.R(681, 'pos', pos, false, false), J$.G(697, J$.R(689, 'T', T, false, false), 'length')));
                                            J$.M(753, J$, 'addAxiom', false)(J$.B(122, '===', J$.R(713, 'this', this, false, false), J$.B(114, '+', J$.B(106, '+', J$.B(98, '+', J$.R(721, 'T', T, false, false), J$.R(729, 'S1', S1, false, false)), J$.R(737, 'str', str, false, false)), J$.R(745, 'S2', S2, false, false))));
                                            J$.M(793, J$, 'addAxiom', false)(J$.B(138, '===', J$.R(761, 'ret', ret, false, false), J$.B(130, '+', J$.R(769, 'pos', pos, false, false), J$.G(785, J$.R(777, 'S1', S1, false, false), 'length'))));
                                            J$.M(825, J$, 'addAxiom', false)(J$.U(146, '!', J$.M(817, J$.R(801, 'reg', reg, false, false), 'test', false)(J$.R(809, 'S1', S1, false, false))));
                                            J$.M(841, J$, 'addAxiom', false)(J$.T(833, 'and', 21, false));
                                            J$.M(857, J$, 'addAxiom', false)(J$.T(849, 'begin', 21, false));
                                            J$.M(881, J$, 'addAxiom', false)(J$.B(162, '===', J$.R(865, 'ret', ret, false, false), J$.U(154, '-', J$.T(873, 1, 22, false))));
                                            J$.M(913, J$, 'addAxiom', false)(J$.U(170, '!', J$.M(905, J$.R(889, 'reg', reg, false, false), 'test', false)(J$.R(897, 'this', this, false, false))));
                                            J$.M(929, J$, 'addAxiom', false)(J$.T(921, 'and', 21, false));
                                            J$.M(945, J$, 'addAxiom', false)(J$.T(937, 'or', 21, false));
                                            return J$.Rt(961, J$.R(953, 'ret', ret, false, false));
                                        } catch (J$e) {
                                            J$.Ex(6001, J$e);
                                        } finally {
                                            if (J$.Fr(6009))
                                                continue jalangiLabel1;
                                            else
                                                return J$.Ra();
                                        }
                                    }
                            }, 12, false));
                            J$.P(2113, J$.R(1073, 'sandbox', sandbox, false, false), 'string_lastIndexOf', J$.T(2105, function (result, str, startPos) {
                                jalangiLabel2:
                                    while (true) {
                                        try {
                                            J$.Fe(2017, arguments.callee, this, arguments);
                                            arguments = J$.N(2025, 'arguments', arguments, true, false, false);
                                            result = J$.N(2033, 'result', result, true, false, false);
                                            str = J$.N(2041, 'str', str, true, false, false);
                                            startPos = J$.N(2049, 'startPos', startPos, true, false, false);
                                            J$.N(2057, 'reg', reg, false, false, false);
                                            J$.N(2065, 'ret', ret, false, false, false);
                                            J$.N(2073, 'T', T, false, false, false);
                                            J$.N(2081, 'S1', S1, false, false, false);
                                            J$.N(2089, 'S2', S2, false, false, false);
                                            J$.N(2097, 'pos', pos, false, false, false);
                                            var reg = J$.W(1137, 'reg', J$.F(1129, J$.I(typeof RegExp === 'undefined' ? RegExp = J$.R(1081, 'RegExp', undefined, true, true) : RegExp = J$.R(1081, 'RegExp', RegExp, true, true)), true)(J$.B(186, '+', J$.B(178, '+', J$.T(1089, '.*', 21, false), J$.F(1113, J$.R(1097, 'regex_escape', regex_escape, false, false), false)(J$.R(1105, 'str', str, false, false))), J$.T(1121, '.*', 21, false))), reg, false, false);
                                            var ret = J$.W(1169, 'ret', J$.M(1161, J$, 'readInput', false)(J$.R(1145, 'result', result, false, false), J$.T(1153, true, 23, false)), ret, false, false);
                                            if (J$.C(8, J$.B(194, '===', J$.R(1177, 'startPos', startPos, false, false), J$.T(1185, undefined, 24, false)))) {
                                                startPos = J$.W(1217, 'startPos', J$.B(202, '-', J$.G(1201, J$.R(1193, 'this', this, false, false), 'length'), J$.T(1209, 1, 22, false)), startPos, false, false);
                                            }
                                            J$.M(1233, J$, 'addAxiom', false)(J$.T(1225, 'begin', 21, false));
                                            J$.M(1249, J$, 'addAxiom', false)(J$.T(1241, 'begin', 21, false));
                                            var T = J$.W(1281, 'T', J$.M(1273, J$, 'readInput', false)(J$.T(1257, '', 21, false), J$.T(1265, true, 23, false)), T, false, false);
                                            var S1 = J$.W(1313, 'S1', J$.M(1305, J$, 'readInput', false)(J$.T(1289, '', 21, false), J$.T(1297, true, 23, false)), S1, false, false);
                                            var S2 = J$.W(1345, 'S2', J$.M(1337, J$, 'readInput', false)(J$.T(1321, '', 21, false), J$.T(1329, true, 23, false)), S2, false, false);
                                            var pos = J$.W(1377, 'pos', J$.M(1369, J$, 'readInput', false)(J$.T(1353, 0, 22, false), J$.T(1361, true, 23, false)), pos, false, false);
                                            J$.M(1393, J$, 'addAxiom', false)(J$.T(1385, 'begin', 21, false));
                                            J$.M(1409, J$, 'addAxiom', false)(J$.T(1401, 'begin', 21, false));
                                            J$.M(1441, J$, 'addAxiom', false)(J$.B(210, '<', J$.R(1417, 'startPos', startPos, false, false), J$.G(1433, J$.R(1425, 'this', this, false, false), 'length')));
                                            J$.M(1465, J$, 'addAxiom', false)(J$.B(218, '>=', J$.R(1449, 'startPos', startPos, false, false), J$.T(1457, 0, 22, false)));
                                            J$.M(1489, J$, 'addAxiom', false)(J$.B(226, '===', J$.R(1473, 'pos', pos, false, false), J$.R(1481, 'startPos', startPos, false, false)));
                                            J$.M(1505, J$, 'addAxiom', false)(J$.T(1497, 'and', 21, false));
                                            J$.M(1521, J$, 'addAxiom', false)(J$.T(1513, 'begin', 21, false));
                                            J$.M(1545, J$, 'addAxiom', false)(J$.B(234, '<', J$.R(1529, 'startPos', startPos, false, false), J$.T(1537, 0, 22, false)));
                                            J$.M(1569, J$, 'addAxiom', false)(J$.B(250, '===', J$.R(1553, 'pos', pos, false, false), J$.U(242, '-', J$.T(1561, 1, 22, false))));
                                            J$.M(1585, J$, 'addAxiom', false)(J$.T(1577, 'and', 21, false));
                                            J$.M(1601, J$, 'addAxiom', false)(J$.T(1593, 'begin', 21, false));
                                            J$.M(1633, J$, 'addAxiom', false)(J$.B(258, '>=', J$.R(1609, 'startPos', startPos, false, false), J$.G(1625, J$.R(1617, 'this', this, false, false), 'length')));
                                            J$.M(1673, J$, 'addAxiom', false)(J$.B(274, '===', J$.R(1641, 'pos', pos, false, false), J$.B(266, '-', J$.G(1657, J$.R(1649, 'this', this, false, false), 'length'), J$.T(1665, 1, 22, false))));
                                            J$.M(1689, J$, 'addAxiom', false)(J$.T(1681, 'and', 21, false));
                                            J$.M(1705, J$, 'addAxiom', false)(J$.T(1697, 'or', 21, false));
                                            J$.M(1761, J$, 'addAxiom', false)(J$.B(298, '===', J$.R(1713, 'pos', pos, false, false), J$.B(290, '-', J$.B(282, '-', J$.G(1729, J$.R(1721, 'this', this, false, false), 'length'), J$.G(1745, J$.R(1737, 'T', T, false, false), 'length')), J$.T(1753, 1, 22, false))));
                                            J$.M(1809, J$, 'addAxiom', false)(J$.B(330, '===', J$.R(1769, 'this', this, false, false), J$.B(322, '+', J$.B(314, '+', J$.B(306, '+', J$.R(1777, 'S1', S1, false, false), J$.R(1785, 'str', str, false, false)), J$.R(1793, 'S2', S2, false, false)), J$.R(1801, 'T', T, false, false))));
                                            J$.M(1841, J$, 'addAxiom', false)(J$.B(338, '===', J$.R(1817, 'ret', ret, false, false), J$.G(1833, J$.R(1825, 'S1', S1, false, false), 'length')));
                                            J$.M(1873, J$, 'addAxiom', false)(J$.U(346, '!', J$.M(1865, J$.R(1849, 'reg', reg, false, false), 'test', false)(J$.R(1857, 'S2', S2, false, false))));
                                            J$.M(1889, J$, 'addAxiom', false)(J$.T(1881, 'and', 21, false));
                                            J$.M(1905, J$, 'addAxiom', false)(J$.T(1897, 'begin', 21, false));
                                            J$.M(1929, J$, 'addAxiom', false)(J$.B(362, '===', J$.R(1913, 'ret', ret, false, false), J$.U(354, '-', J$.T(1921, 1, 22, false))));
                                            J$.M(1961, J$, 'addAxiom', false)(J$.U(370, '!', J$.M(1953, J$.R(1937, 'reg', reg, false, false), 'test', false)(J$.R(1945, 'this', this, false, false))));
                                            J$.M(1977, J$, 'addAxiom', false)(J$.T(1969, 'and', 21, false));
                                            J$.M(1993, J$, 'addAxiom', false)(J$.T(1985, 'or', 21, false));
                                            return J$.Rt(2009, J$.R(2001, 'ret', ret, false, false));
                                        } catch (J$e) {
                                            J$.Ex(6017, J$e);
                                        } finally {
                                            if (J$.Fr(6025))
                                                continue jalangiLabel2;
                                            else
                                                return J$.Ra();
                                        }
                                    }
                            }, 12, false));
                            J$.P(2329, J$.R(2121, 'sandbox', sandbox, false, false), 'string_charCodeAt', J$.T(2321, function (result, idx) {
                                jalangiLabel3:
                                    while (true) {
                                        try {
                                            J$.Fe(2281, arguments.callee, this, arguments);
                                            arguments = J$.N(2289, 'arguments', arguments, true, false, false);
                                            result = J$.N(2297, 'result', result, true, false, false);
                                            idx = J$.N(2305, 'idx', idx, true, false, false);
                                            J$.N(2313, 'ret', ret, false, false, false);
                                            var ret = J$.W(2153, 'ret', J$.M(2145, J$, 'readInput', false)(J$.R(2129, 'result', result, false, false), J$.T(2137, true, 23, false)), ret, false, false);
                                            J$.M(2169, J$, 'addAxiom', false)(J$.T(2161, 'begin', 21, false));
                                            J$.M(2241, J$, 'addAxiom', false)(J$.B(386, '===', J$.M(2209, J$.R(2177, 'this', this, false, false), 'substring', false)(J$.R(2185, 'idx', idx, false, false), J$.B(378, '+', J$.R(2193, 'idx', idx, false, false), J$.T(2201, 1, 22, false))), J$.M(2233, J$.I(typeof String === 'undefined' ? String = J$.R(2217, 'String', undefined, true, true) : String = J$.R(2217, 'String', String, true, true)), 'fromCharCode', false)(J$.R(2225, 'ret', ret, false, false))));
                                            J$.M(2257, J$, 'addAxiom', false)(J$.T(2249, 'and', 21, false));
                                            return J$.Rt(2273, J$.R(2265, 'ret', ret, false, false));
                                        } catch (J$e) {
                                            J$.Ex(6033, J$e);
                                        } finally {
                                            if (J$.Fr(6041))
                                                continue jalangiLabel3;
                                            else
                                                return J$.Ra();
                                        }
                                    }
                            }, 12, false));
                            J$.P(3601, J$.R(2337, 'sandbox', sandbox, false, false), 'string_substring', J$.T(3593, function (result, start, end) {
                                jalangiLabel4:
                                    while (true) {
                                        try {
                                            J$.Fe(3513, arguments.callee, this, arguments);
                                            arguments = J$.N(3521, 'arguments', arguments, true, false, false);
                                            result = J$.N(3529, 'result', result, true, false, false);
                                            start = J$.N(3537, 'start', start, true, false, false);
                                            end = J$.N(3545, 'end', end, true, false, false);
                                            J$.N(3553, 'ret', ret, false, false, false);
                                            J$.N(3561, 'S1', S1, false, false, false);
                                            J$.N(3569, 'S2', S2, false, false, false);
                                            J$.N(3577, 's', s, false, false, false);
                                            J$.N(3585, 'e', e, false, false, false);
                                            if (J$.C(16, J$.B(394, '===', J$.R(2345, 'end', end, false, false), J$.T(2353, undefined, 24, false)))) {
                                                end = J$.W(2377, 'end', J$.G(2369, J$.R(2361, 'this', this, false, false), 'length'), end, false, false);
                                            }
                                            var ret = J$.W(2409, 'ret', J$.M(2401, J$, 'readInput', false)(J$.R(2385, 'result', result, false, false), J$.T(2393, true, 23, false)), ret, false, false);
                                            J$.M(2425, J$, 'addAxiom', false)(J$.T(2417, 'begin', 21, false));
                                            var S1 = J$.W(2457, 'S1', J$.M(2449, J$, 'readInput', false)(J$.T(2433, '', 21, false), J$.T(2441, true, 23, false)), S1, false, false);
                                            var S2 = J$.W(2489, 'S2', J$.M(2481, J$, 'readInput', false)(J$.T(2465, '', 21, false), J$.T(2473, true, 23, false)), S2, false, false);
                                            var s = J$.W(2521, 's', J$.M(2513, J$, 'readInput', false)(J$.T(2497, 0, 22, false), J$.T(2505, true, 23, false)), s, false, false);
                                            var e = J$.W(2553, 'e', J$.M(2545, J$, 'readInput', false)(J$.T(2529, 0, 22, false), J$.T(2537, true, 23, false)), e, false, false);
                                            J$.M(2569, J$, 'addAxiom', false)(J$.T(2561, 'begin', 21, false));
                                            J$.M(2585, J$, 'addAxiom', false)(J$.T(2577, 'begin', 21, false));
                                            J$.M(2609, J$, 'addAxiom', false)(J$.B(402, '>=', J$.R(2593, 'start', start, false, false), J$.T(2601, 0, 22, false)));
                                            J$.M(2641, J$, 'addAxiom', false)(J$.B(410, '<', J$.R(2617, 'start', start, false, false), J$.G(2633, J$.R(2625, 'this', this, false, false), 'length')));
                                            J$.M(2665, J$, 'addAxiom', false)(J$.B(418, '===', J$.R(2649, 's', s, false, false), J$.R(2657, 'start', start, false, false)));
                                            J$.M(2681, J$, 'addAxiom', false)(J$.T(2673, 'and', 21, false));
                                            J$.M(2697, J$, 'addAxiom', false)(J$.T(2689, 'begin', 21, false));
                                            J$.M(2721, J$, 'addAxiom', false)(J$.B(426, '<', J$.R(2705, 'start', start, false, false), J$.T(2713, 0, 22, false)));
                                            J$.M(2745, J$, 'addAxiom', false)(J$.B(434, '===', J$.R(2729, 's', s, false, false), J$.T(2737, 0, 22, false)));
                                            J$.M(2761, J$, 'addAxiom', false)(J$.T(2753, 'and', 21, false));
                                            J$.M(2777, J$, 'addAxiom', false)(J$.T(2769, 'begin', 21, false));
                                            J$.M(2809, J$, 'addAxiom', false)(J$.B(442, '>=', J$.R(2785, 'start', start, false, false), J$.G(2801, J$.R(2793, 'this', this, false, false), 'length')));
                                            J$.M(2841, J$, 'addAxiom', false)(J$.B(450, '===', J$.R(2817, 's', s, false, false), J$.G(2833, J$.R(2825, 'this', this, false, false), 'length')));
                                            J$.M(2857, J$, 'addAxiom', false)(J$.T(2849, 'and', 21, false));
                                            J$.M(2873, J$, 'addAxiom', false)(J$.T(2865, 'or', 21, false));
                                            J$.M(2889, J$, 'addAxiom', false)(J$.T(2881, 'begin', 21, false));
                                            J$.M(2905, J$, 'addAxiom', false)(J$.T(2897, 'begin', 21, false));
                                            J$.M(2929, J$, 'addAxiom', false)(J$.B(458, '>=', J$.R(2913, 'end', end, false, false), J$.T(2921, 0, 22, false)));
                                            J$.M(2961, J$, 'addAxiom', false)(J$.B(466, '<', J$.R(2937, 'end', end, false, false), J$.G(2953, J$.R(2945, 'this', this, false, false), 'length')));
                                            J$.M(2985, J$, 'addAxiom', false)(J$.B(474, '===', J$.R(2969, 'e', e, false, false), J$.R(2977, 'end', end, false, false)));
                                            J$.M(3001, J$, 'addAxiom', false)(J$.T(2993, 'and', 21, false));
                                            J$.M(3017, J$, 'addAxiom', false)(J$.T(3009, 'begin', 21, false));
                                            J$.M(3041, J$, 'addAxiom', false)(J$.B(482, '<', J$.R(3025, 'end', end, false, false), J$.T(3033, 0, 22, false)));
                                            J$.M(3065, J$, 'addAxiom', false)(J$.B(490, '===', J$.R(3049, 'e', e, false, false), J$.T(3057, 0, 22, false)));
                                            J$.M(3081, J$, 'addAxiom', false)(J$.T(3073, 'and', 21, false));
                                            J$.M(3097, J$, 'addAxiom', false)(J$.T(3089, 'begin', 21, false));
                                            J$.M(3129, J$, 'addAxiom', false)(J$.B(498, '>=', J$.R(3105, 'end', end, false, false), J$.G(3121, J$.R(3113, 'this', this, false, false), 'length')));
                                            J$.M(3161, J$, 'addAxiom', false)(J$.B(506, '===', J$.R(3137, 'e', e, false, false), J$.G(3153, J$.R(3145, 'this', this, false, false), 'length')));
                                            J$.M(3177, J$, 'addAxiom', false)(J$.T(3169, 'and', 21, false));
                                            J$.M(3193, J$, 'addAxiom', false)(J$.T(3185, 'or', 21, false));
                                            J$.M(3209, J$, 'addAxiom', false)(J$.T(3201, 'begin', 21, false));
                                            J$.M(3225, J$, 'addAxiom', false)(J$.T(3217, 'begin', 21, false));
                                            J$.M(3249, J$, 'addAxiom', false)(J$.B(514, '<=', J$.R(3233, 's', s, false, false), J$.R(3241, 'e', e, false, false)));
                                            J$.M(3289, J$, 'addAxiom', false)(J$.B(538, '===', J$.R(3257, 'this', this, false, false), J$.B(530, '+', J$.B(522, '+', J$.R(3265, 'S1', S1, false, false), J$.R(3273, 'ret', ret, false, false)), J$.R(3281, 'S2', S2, false, false))));
                                            J$.M(3321, J$, 'addAxiom', false)(J$.B(546, '===', J$.R(3297, 's', s, false, false), J$.G(3313, J$.R(3305, 'S1', S1, false, false), 'length')));
                                            J$.M(3361, J$, 'addAxiom', false)(J$.B(562, '===', J$.B(554, '-', J$.R(3329, 'e', e, false, false), J$.R(3337, 's', s, false, false)), J$.G(3353, J$.R(3345, 'ret', ret, false, false), 'length')));
                                            J$.M(3377, J$, 'addAxiom', false)(J$.T(3369, 'and', 21, false));
                                            J$.M(3393, J$, 'addAxiom', false)(J$.T(3385, 'begin', 21, false));
                                            J$.M(3417, J$, 'addAxiom', false)(J$.B(570, '>', J$.R(3401, 's', s, false, false), J$.R(3409, 'e', e, false, false)));
                                            J$.M(3441, J$, 'addAxiom', false)(J$.B(578, '===', J$.R(3425, 'ret', ret, false, false), J$.T(3433, '', 21, false)));
                                            J$.M(3457, J$, 'addAxiom', false)(J$.T(3449, 'and', 21, false));
                                            J$.M(3473, J$, 'addAxiom', false)(J$.T(3465, 'or', 21, false));
                                            J$.M(3489, J$, 'addAxiom', false)(J$.T(3481, 'and', 21, false));
                                            return J$.Rt(3505, J$.R(3497, 'ret', ret, false, false));
                                        } catch (J$e) {
                                            J$.Ex(6049, J$e);
                                        } finally {
                                            if (J$.Fr(6057))
                                                continue jalangiLabel4;
                                            else
                                                return J$.Ra();
                                        }
                                    }
                            }, 12, false));
                            J$.P(4849, J$.R(3609, 'sandbox', sandbox, false, false), 'string_substr', J$.T(4841, function (result, start, length) {
                                jalangiLabel5:
                                    while (true) {
                                        try {
                                            J$.Fe(4761, arguments.callee, this, arguments);
                                            arguments = J$.N(4769, 'arguments', arguments, true, false, false);
                                            result = J$.N(4777, 'result', result, true, false, false);
                                            start = J$.N(4785, 'start', start, true, false, false);
                                            length = J$.N(4793, 'length', length, true, false, false);
                                            J$.N(4801, 'ret', ret, false, false, false);
                                            J$.N(4809, 'S1', S1, false, false, false);
                                            J$.N(4817, 'S2', S2, false, false, false);
                                            J$.N(4825, 's', s, false, false, false);
                                            J$.N(4833, 'l', l, false, false, false);
                                            var ret = J$.W(3641, 'ret', J$.M(3633, J$, 'readInput', false)(J$.R(3617, 'result', result, false, false), J$.T(3625, true, 23, false)), ret, false, false);
                                            J$.M(3657, J$, 'addAxiom', false)(J$.T(3649, 'begin', 21, false));
                                            var S1 = J$.W(3689, 'S1', J$.M(3681, J$, 'readInput', false)(J$.T(3665, '', 21, false), J$.T(3673, true, 23, false)), S1, false, false);
                                            var S2 = J$.W(3721, 'S2', J$.M(3713, J$, 'readInput', false)(J$.T(3697, '', 21, false), J$.T(3705, true, 23, false)), S2, false, false);
                                            var s = J$.W(3753, 's', J$.M(3745, J$, 'readInput', false)(J$.T(3729, 0, 22, false), J$.T(3737, true, 23, false)), s, false, false);
                                            var l = J$.W(3785, 'l', J$.M(3777, J$, 'readInput', false)(J$.T(3761, 0, 22, false), J$.T(3769, true, 23, false)), l, false, false);
                                            J$.M(3801, J$, 'addAxiom', false)(J$.T(3793, 'begin', 21, false));
                                            J$.M(3817, J$, 'addAxiom', false)(J$.T(3809, 'begin', 21, false));
                                            J$.M(3841, J$, 'addAxiom', false)(J$.B(586, '>=', J$.R(3825, 'start', start, false, false), J$.T(3833, 0, 22, false)));
                                            J$.M(3873, J$, 'addAxiom', false)(J$.B(594, '<', J$.R(3849, 'start', start, false, false), J$.G(3865, J$.R(3857, 'this', this, false, false), 'length')));
                                            J$.M(3897, J$, 'addAxiom', false)(J$.B(602, '===', J$.R(3881, 's', s, false, false), J$.R(3889, 'start', start, false, false)));
                                            J$.M(3913, J$, 'addAxiom', false)(J$.T(3905, 'and', 21, false));
                                            J$.M(3929, J$, 'addAxiom', false)(J$.T(3921, 'begin', 21, false));
                                            J$.M(3961, J$, 'addAxiom', false)(J$.B(610, '>=', J$.R(3937, 'start', start, false, false), J$.G(3953, J$.R(3945, 'this', this, false, false), 'length')));
                                            J$.M(3993, J$, 'addAxiom', false)(J$.B(618, '===', J$.R(3969, 's', s, false, false), J$.G(3985, J$.R(3977, 'this', this, false, false), 'length')));
                                            J$.M(4009, J$, 'addAxiom', false)(J$.T(4001, 'and', 21, false));
                                            J$.M(4025, J$, 'addAxiom', false)(J$.T(4017, 'begin', 21, false));
                                            J$.M(4049, J$, 'addAxiom', false)(J$.B(626, '<', J$.R(4033, 'start', start, false, false), J$.T(4041, 0, 22, false)));
                                            J$.M(4081, J$, 'addAxiom', false)(J$.B(642, '>=', J$.R(4057, 'start', start, false, false), J$.U(634, '-', J$.G(4073, J$.R(4065, 'this', this, false, false), 'length'))));
                                            J$.M(4121, J$, 'addAxiom', false)(J$.B(658, '===', J$.R(4089, 's', s, false, false), J$.B(650, '+', J$.G(4105, J$.R(4097, 'this', this, false, false), 'length'), J$.R(4113, 'start', start, false, false))));
                                            J$.M(4137, J$, 'addAxiom', false)(J$.T(4129, 'and', 21, false));
                                            J$.M(4153, J$, 'addAxiom', false)(J$.T(4145, 'begin', 21, false));
                                            J$.M(4185, J$, 'addAxiom', false)(J$.B(674, '<', J$.R(4161, 'start', start, false, false), J$.U(666, '-', J$.G(4177, J$.R(4169, 'this', this, false, false), 'length'))));
                                            J$.M(4209, J$, 'addAxiom', false)(J$.B(682, '===', J$.R(4193, 's', s, false, false), J$.T(4201, 0, 22, false)));
                                            J$.M(4225, J$, 'addAxiom', false)(J$.T(4217, 'and', 21, false));
                                            J$.M(4241, J$, 'addAxiom', false)(J$.T(4233, 'or', 21, false));
                                            J$.M(4257, J$, 'addAxiom', false)(J$.T(4249, 'begin', 21, false));
                                            J$.M(4273, J$, 'addAxiom', false)(J$.T(4265, 'begin', 21, false));
                                            J$.M(4297, J$, 'addAxiom', false)(J$.B(690, '>=', J$.R(4281, 'length', length, false, false), J$.T(4289, 0, 22, false)));
                                            J$.M(4337, J$, 'addAxiom', false)(J$.B(706, '<=', J$.R(4305, 'length', length, false, false), J$.B(698, '-', J$.G(4321, J$.R(4313, 'this', this, false, false), 'length'), J$.R(4329, 's', s, false, false))));
                                            J$.M(4361, J$, 'addAxiom', false)(J$.B(714, '===', J$.R(4345, 'l', l, false, false), J$.R(4353, 'length', length, false, false)));
                                            J$.M(4377, J$, 'addAxiom', false)(J$.T(4369, 'and', 21, false));
                                            J$.M(4393, J$, 'addAxiom', false)(J$.T(4385, 'begin', 21, false));
                                            J$.M(4417, J$, 'addAxiom', false)(J$.B(722, '<', J$.R(4401, 'length', length, false, false), J$.T(4409, 0, 22, false)));
                                            J$.M(4441, J$, 'addAxiom', false)(J$.B(730, '===', J$.R(4425, 'l', l, false, false), J$.T(4433, 0, 22, false)));
                                            J$.M(4457, J$, 'addAxiom', false)(J$.T(4449, 'and', 21, false));
                                            J$.M(4473, J$, 'addAxiom', false)(J$.T(4465, 'begin', 21, false));
                                            J$.M(4513, J$, 'addAxiom', false)(J$.B(746, '>', J$.R(4481, 'length', length, false, false), J$.B(738, '-', J$.G(4497, J$.R(4489, 'this', this, false, false), 'length'), J$.R(4505, 's', s, false, false))));
                                            J$.M(4553, J$, 'addAxiom', false)(J$.B(762, '===', J$.R(4521, 'l', l, false, false), J$.B(754, '-', J$.G(4537, J$.R(4529, 'this', this, false, false), 'length'), J$.R(4545, 's', s, false, false))));
                                            J$.M(4569, J$, 'addAxiom', false)(J$.T(4561, 'and', 21, false));
                                            J$.M(4585, J$, 'addAxiom', false)(J$.T(4577, 'or', 21, false));
                                            J$.M(4601, J$, 'addAxiom', false)(J$.T(4593, 'begin', 21, false));
                                            J$.M(4641, J$, 'addAxiom', false)(J$.B(786, '===', J$.R(4609, 'this', this, false, false), J$.B(778, '+', J$.B(770, '+', J$.R(4617, 'S1', S1, false, false), J$.R(4625, 'ret', ret, false, false)), J$.R(4633, 'S2', S2, false, false))));
                                            J$.M(4673, J$, 'addAxiom', false)(J$.B(794, '===', J$.R(4649, 's', s, false, false), J$.G(4665, J$.R(4657, 'S1', S1, false, false), 'length')));
                                            J$.M(4705, J$, 'addAxiom', false)(J$.B(802, '===', J$.R(4681, 'l', l, false, false), J$.G(4697, J$.R(4689, 'ret', ret, false, false), 'length')));
                                            J$.M(4721, J$, 'addAxiom', false)(J$.T(4713, 'and', 21, false));
                                            J$.M(4737, J$, 'addAxiom', false)(J$.T(4729, 'and', 21, false));
                                            return J$.Rt(4753, J$.R(4745, 'ret', ret, false, false));
                                        } catch (J$e) {
                                            J$.Ex(6065, J$e);
                                        } finally {
                                            if (J$.Fr(6073))
                                                continue jalangiLabel5;
                                            else
                                                return J$.Ra();
                                        }
                                    }
                            }, 12, false));
                            J$.P(5433, J$.R(4857, 'sandbox', sandbox, false, false), 'string_charAt', J$.T(5425, function (result, start) {
                                jalangiLabel6:
                                    while (true) {
                                        try {
                                            J$.Fe(5369, arguments.callee, this, arguments);
                                            arguments = J$.N(5377, 'arguments', arguments, true, false, false);
                                            result = J$.N(5385, 'result', result, true, false, false);
                                            start = J$.N(5393, 'start', start, true, false, false);
                                            J$.N(5401, 'ret', ret, false, false, false);
                                            J$.N(5409, 'S1', S1, false, false, false);
                                            J$.N(5417, 'S2', S2, false, false, false);
                                            var ret = J$.W(4889, 'ret', J$.M(4881, J$, 'readInput', false)(J$.R(4865, 'result', result, false, false), J$.T(4873, true, 23, false)), ret, false, false);
                                            J$.M(4905, J$, 'addAxiom', false)(J$.T(4897, 'begin', 21, false));
                                            J$.M(4921, J$, 'addAxiom', false)(J$.T(4913, 'begin', 21, false));
                                            var S1 = J$.W(4953, 'S1', J$.M(4945, J$, 'readInput', false)(J$.T(4929, '', 21, false), J$.T(4937, true, 23, false)), S1, false, false);
                                            var S2 = J$.W(4985, 'S2', J$.M(4977, J$, 'readInput', false)(J$.T(4961, '', 21, false), J$.T(4969, true, 23, false)), S2, false, false);
                                            J$.M(5009, J$, 'addAxiom', false)(J$.B(810, '>=', J$.R(4993, 'start', start, false, false), J$.T(5001, 0, 22, false)));
                                            J$.M(5041, J$, 'addAxiom', false)(J$.B(818, '<', J$.R(5017, 'start', start, false, false), J$.G(5033, J$.R(5025, 'this', this, false, false), 'length')));
                                            J$.M(5081, J$, 'addAxiom', false)(J$.B(842, '===', J$.R(5049, 'this', this, false, false), J$.B(834, '+', J$.B(826, '+', J$.R(5057, 'S1', S1, false, false), J$.R(5065, 'ret', ret, false, false)), J$.R(5073, 'S2', S2, false, false))));
                                            J$.M(5113, J$, 'addAxiom', false)(J$.B(850, '===', J$.R(5089, 'start', start, false, false), J$.G(5105, J$.R(5097, 'S1', S1, false, false), 'length')));
                                            J$.M(5145, J$, 'addAxiom', false)(J$.B(858, '===', J$.G(5129, J$.R(5121, 'ret', ret, false, false), 'length'), J$.T(5137, 1, 22, false)));
                                            J$.M(5161, J$, 'addAxiom', false)(J$.T(5153, 'and', 21, false));
                                            J$.M(5177, J$, 'addAxiom', false)(J$.T(5169, 'begin', 21, false));
                                            J$.M(5201, J$, 'addAxiom', false)(J$.B(866, '<', J$.R(5185, 'start', start, false, false), J$.T(5193, 0, 22, false)));
                                            J$.M(5225, J$, 'addAxiom', false)(J$.B(874, '===', J$.R(5209, 'ret', ret, false, false), J$.T(5217, '', 21, false)));
                                            J$.M(5241, J$, 'addAxiom', false)(J$.T(5233, 'and', 21, false));
                                            J$.M(5257, J$, 'addAxiom', false)(J$.T(5249, 'begin', 21, false));
                                            J$.M(5289, J$, 'addAxiom', false)(J$.B(882, '>=', J$.R(5265, 'start', start, false, false), J$.G(5281, J$.R(5273, 'this', this, false, false), 'length')));
                                            J$.M(5313, J$, 'addAxiom', false)(J$.B(890, '===', J$.R(5297, 'ret', ret, false, false), J$.T(5305, '', 21, false)));
                                            J$.M(5329, J$, 'addAxiom', false)(J$.T(5321, 'and', 21, false));
                                            J$.M(5345, J$, 'addAxiom', false)(J$.T(5337, 'or', 21, false));
                                            return J$.Rt(5361, J$.R(5353, 'ret', ret, false, false));
                                        } catch (J$e) {
                                            J$.Ex(6081, J$e);
                                        } finally {
                                            if (J$.Fr(6089))
                                                continue jalangiLabel6;
                                            else
                                                return J$.Ra();
                                        }
                                    }
                            }, 12, false));
                            J$.P(5609, J$.R(5441, 'sandbox', sandbox, false, false), 'builtin_parseInt', J$.T(5601, function (result, s) {
                                jalangiLabel7:
                                    while (true) {
                                        try {
                                            J$.Fe(5561, arguments.callee, this, arguments);
                                            arguments = J$.N(5569, 'arguments', arguments, true, false, false);
                                            result = J$.N(5577, 'result', result, true, false, false);
                                            s = J$.N(5585, 's', s, true, false, false);
                                            J$.N(5593, 'ret', ret, false, false, false);
                                            var ret = J$.W(5473, 'ret', J$.M(5465, J$, 'readInput', false)(J$.R(5449, 'result', result, false, false), J$.T(5457, true, 23, false)), ret, false, false);
                                            J$.M(5489, J$, 'addAxiom', false)(J$.T(5481, 'begin', 21, false));
                                            J$.M(5521, J$, 'addAxiom', false)(J$.B(906, '===', J$.R(5497, 'ret', ret, false, false), J$.B(898, '*', J$.R(5505, 's', s, false, false), J$.T(5513, 1, 22, false))));
                                            J$.M(5537, J$, 'addAxiom', false)(J$.T(5529, 'and', 21, false));
                                            return J$.Rt(5553, J$.R(5545, 'ret', ret, false, false));
                                        } catch (J$e) {
                                            J$.Ex(6097, J$e);
                                        } finally {
                                            if (J$.Fr(6105))
                                                continue jalangiLabel7;
                                            else
                                                return J$.Ra();
                                        }
                                    }
                            }, 12, false));
                            J$.P(5897, J$.R(5617, 'sandbox', sandbox, false, false), 'object_getField', J$.T(5889, function (result, base, offset) {
                                jalangiLabel8:
                                    while (true) {
                                        try {
                                            J$.Fe(5833, arguments.callee, this, arguments);
                                            arguments = J$.N(5841, 'arguments', arguments, true, false, false);
                                            result = J$.N(5849, 'result', result, true, false, false);
                                            base = J$.N(5857, 'base', base, true, false, false);
                                            offset = J$.N(5865, 'offset', offset, true, false, false);
                                            J$.N(5873, 'ret', ret, false, false, false);
                                            J$.N(5881, 'i', i, false, false, false);
                                            var ret = J$.W(5649, 'ret', J$.M(5641, J$, 'readInput', false)(J$.T(5625, 0, 22, false), J$.T(5633, true, 23, false)), ret, false, false);
                                            J$.M(5665, J$, 'addAxiom', false)(J$.T(5657, 'begin', 21, false));
                                            for (var i in J$.H(5785, J$.R(5673, 'base', base, false, false))) {
                                                J$.N(5793, 'i', i, false, true, false);
                                                {
                                                    {
                                                        J$.M(5689, J$, 'addAxiom', false)(J$.T(5681, 'begin', 21, false));
                                                        J$.M(5721, J$, 'addAxiom', false)(J$.B(922, '===', J$.R(5697, 'i', i, false, false), J$.B(914, '+', J$.R(5705, 'offset', offset, false, false), J$.T(5713, '', 21, false))));
                                                        J$.M(5761, J$, 'addAxiom', false)(J$.B(930, '===', J$.R(5729, 'ret', ret, false, false), J$.G(5753, J$.R(5737, 'base', base, false, false), J$.R(5745, 'i', i, false, false))));
                                                        J$.M(5777, J$, 'addAxiom', false)(J$.T(5769, 'and', 21, false));
                                                    }
                                                }
                                            }
                                            J$.M(5809, J$, 'addAxiom', false)(J$.T(5801, 'or', 21, false));
                                            return J$.Rt(5825, J$.R(5817, 'ret', ret, false, false));
                                        } catch (J$e) {
                                            J$.Ex(6113, J$e);
                                        } finally {
                                            if (J$.Fr(6121))
                                                continue jalangiLabel8;
                                            else
                                                return J$.Ra();
                                        }
                                    }
                            }, 12, false));
                        } catch (J$e) {
                            J$.Ex(6129, J$e);
                        } finally {
                            if (J$.Fr(6137))
                                continue jalangiLabel9;
                            else
                                return J$.Ra();
                        }
                    }
            }, 12, false), false)(J$.G(5961, J$.I(typeof module === 'undefined' ? module = J$.R(5953, 'module', undefined, true, true) : module = J$.R(5953, 'module', module, true, true)), 'exports'));
        } catch (J$e) {
            J$.Ex(6145, J$e);
        } finally {
            if (J$.Sr(6153))
                continue jalangiLabel10;
            else
                break jalangiLabel10;
        }
    }
// JALANGI DO NOT INSTRUMENT

